@import "../../node_modules/bootstrap/scss/functions";
@import "../../node_modules/bootstrap/scss/variables";

$theme-colors: (
    "primary": #141763,
    "secondary": #fd0203,
    "dark": #2b2d42,
    "light": #E8EBF7,
    "yellow": #fff404,
    "white": #ffffff,
    "black": #000000,
);


// font-family: 'Karla', sans-serif;
// font-family: 'Rubik', sans-serif;

@import '../../node_modules/bootstrap/scss/bootstrap.scss';
// desktop

html,
body {
    font-family: 'Karla', sans-serif;
    background-color: #4b4f57 !important;

    // navbar
    .bg-dark {
        transition: 500ms ease;
        background: transparent !important;
    }
    .bg-dark.scrolled {
        background: transparentize($color: #2b2d42, $amount: 0.05%) !important; 
    }

    .navbar-light {
        padding: 12px;

        .navbar-brand {
            font-family: 'Rubik', sans-serif;
            color: #e8ebf7;
            font-size: 25px;
            letter-spacing: 2px;
        }

        .navbar-brand:hover {
            color: #a0a9cc;
            transition: 1s;
        }

        .navbar-brand.active, .navbar-brand:focus {
            color: #e8ebf7;
        }

        .navbar-nav {
            text-align: center;

            a {
                font-family: 'Rubik', sans-serif;
                font-size: 18px;
                text-transform: uppercase;
            }

            .active > .nav-link {
                color: #e8ebf7;
            }

            .nav-link {
                color: #e8ebf7;
                padding: .2rem 1rem;
            }

            .nav-link.active, .nav-link:focus {
                color: #e8ebf7 !important;
                text-decoration: underline;
            }

            .nav-link:hover {
                color: #a0a9cc;
                transition: 1s;
            }
        }
    }

    // landing page
    .carousel-inner {
        .carousel-item {
            height: 100vh;
            min-height: 300px;
            background: no-repeat center center scroll;
            -webkit-background-size: cover;
            background-size: cover;

            img {
                opacity: 0.9;
            }

            .w-100 {
                height: 100vh;
            }
        }

        .carousel-caption {
            bottom: 35%;

            h5 {
                font-size: 5rem;
                text-transform: uppercase;
                letter-spacing: .2rem;
                margin-top: 25px;
                font-family: 'Rubik', sans-serif;
            }

            .btn-lg {
                background-color: #141763 !important;
                border-color: #141763 !important;
                font-size: 1.25rem;
                text-transform: uppercase;
                padding: 0.75rem 1.5rem;
                margin-top: .1rem;

                &:hover {
                    font-size: 150%;
                }
            }
        }
    }

    // header
    #header {
        .banner {
            position: relative !important;
            width: 100%;
            margin: 0 auto;
            height: 70vh !important;

            img {
                opacity: 0.5;
            }

            .heading {
                color: #141763;
                position: absolute !important;
                top: 40%;
                width: 100%;
                text-align: center;
                font-size: 8rem;
                font-family: 'Rubik', sans-serif;
                text-transform: uppercase;

                p {
                    font-family: 'Karla', sans-serif;
                    font-size: 2rem;
                    color: #E8EBF7;
                    text-transform: none;
                }
            }
        }
    }

    // about
    #about {
        padding: 0 15px;

        .container {
            background: transparentize($color: #e8ebf7, $amount: .10);
            padding: 50px;
            padding-bottom: 40px;
            position: relative;
            margin: 3 auto;
            margin-top: 5;
            margin-bottom: 30px;

            .row {
                .col-md-6 {
                    .modal-content {
                        .embed-responsive {
                            .w-100 {
                                width: 100% !important;
                                height: 100% !important;
                            }
                        }
                    }
                }

                .col-xl-4 {
                    margin: 0 auto;
                }

                .col-12 {
                    .card-group {
                        .card {
                            padding: 10px 10px;
                            margin: 0.25em;
                            border-radius: 0;
                            background-size: 0;

                            img {
                                width: 100% !important;
                            }

                            .card-body {
                                padding: 0;
                                margin-top: 10px;
                                background-size: 0px;

                                .card-text {
                                    font-size: 1em;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    // services
    #services {

        padding: 0 15px;
        
        .container {
            padding: 30px;
            padding-bottom: 0;
            background: transparentize($color: #e8ebf7, $amount: .10);
            position: relative;
            margin-bottom: 30px;

            .services-selection {
                padding: 5px;
                margin-bottom: 40px;
                background-color: #ffffff;
                border: 2px solid #fff;
                border-radius: 8px;
                box-shadow: 0 15px 30px rgba(102, 113, 228, 0.13);
                text-align: center;

                &:hover .services-icon {
                    background-color: #8586A7;
                    transition: 1s;
                }

                &:hover {
                    box-shadow: 0 30px 30px rgba(102, 113, 228, 0.70);
                    transition: 1s;
                }

                .services-icon {
                    margin: 20px auto;
                    padding: 20px;
                    height: 150px;
                    width: 150px;
                    background: #f4f5f8;
                    border-radius: 50%;
                    border: 5px solid #141763; 
                }

                .services-description {
                    p:nth-child(1) {
                        font-size: 1.2rem;
                        font-weight: 1000;
                        padding-bottom: 10px;
                        font-family: 'Rubik', sans-serif;
                    }

                    p:nth-child(2) {
                        font-size: 14px;
                        font-weight: 400;
                        padding: 0 10px 20px 10px ;
                        color: #2b2d42s;
                        font-family: 'Karla', sans-serif;
                    }

                    p {
                        .text-center {
                            text-transform: uppercase;
                            letter-spacing: 2px;
                            padding: 8px 15px;
                            background-color: #141763;
                            border: #141763;
                        }
                    }

                }
            }
        }
    
    }


    // contact
    #contact {
        background: #ffffff !important;
        padding: 0 15px;
        
        .container {
            padding: 30px;
            padding-bottom: 20px;
            background: transparentize($color: #e8ebf7, $amount: .10);
            position: relative;
            margin-bottom: 30px;

            .row {
                .pt-4 {
                    p {
                        font-size: 2em;
                        font-weight: 500;
                    }
                }

                .p-3 {
                    #contact-us-form {
                        button {
                            border-color: #141763;
                            background-color: #141763;
                        }
                    }
                }
            }
        }
    }

    // footer
    .page-footer {
        background-color: #2b2d42 !important;
        position: relative;

        .container {
            color: #E8EBF7;

            .row {
                .mt-3 {
                    font-family: 'Karla', sans-serif;

                    p {
                        .text-primary {
                            color: #e8ebf7 !important;
                        }
                    }
                    .mb-4 {
                        font-family: 'Rubik', sans-serif;
                    }
                }

                .col-md-7 {
                    p {
                        a {
                            color: #e8ebf7 !important;
                            font-family: 'Karla', sans-serif;
                        }
                    }
                }
            }
        }
    }
}

// large devices

@media (min-width: 992px) and (max-width: 1199.98px) {
    .navbar {
        .container {
            .navbar-toggler {
                padding: 7px 11px;
                font-size: 18px;
                line-height: 0.3;
                background: #e8ebf7;
            }
    
            .navbar-collapse {
                .ml-auto {
                    background: transparentize($color: #141763, $amount: .95%);
                }
            }
        }
    }
    #header {
        .banner {
            position: relative !important;
            width: 100% !important;
            margin: 0 auto;
            height: 70vh !important;
            background-size: cover;

            .heading {
                color: #141763;
                position: absolute !important;
                top: 40% !important;
                width: 100%;
                text-align: center;
                font-size: 6em !important;
                font-family: 'Rubik', sans-serif;
                text-transform: uppercase;
                font-weight: 700;

                p {
                    font-family: 'Karla', sans-serif;
                    font-size: 0.5em !important;
                    color: #E8EBF7;
                    text-transform: none;
                }
            }
            
        }
        .banner img {
            width: 100% !important;
            height: 100%;
        }
    }
}

// tablet
@media (min-width: 768px) and (max-width: 991.98px) {
    .navbar {
        .container {
            .navbar-toggler {
                padding: 7px 11px;
                font-size: 18px;
                line-height: 0.3;
                background: #e8ebf7;
            }
    
            .navbar-collapse {
                .ml-auto {
                    background: transparentize($color: #141763, $amount: .95%);
                }
            }
        }
    }

    .carousel-caption {
        bottom: 80%;

        h5 {
            font-size: 3rem !important;
        }
    }

    #header {
        .banner {
            position: relative !important;
            width: 100% !important;
            margin: 0 auto;
            height: 70vh !important;
            background-size: cover;

            .heading {
                color: #141763;
                position: absolute !important;
                top: 42.5% !important;
                width: 100%;
                text-align: center;
                font-size: 4em !important;
                font-family: 'Rubik', sans-serif;
                text-transform: uppercase;
                font-weight: 700;

                p {
                    font-family: 'Karla', sans-serif;
                    font-size: 0.5em !important;
                    color: #E8EBF7;
                    text-transform: none;
                }
            }
            
        }
        .banner img {
            width: 100% !important;
            height: 100%;
        }
    }
}

// mobile phone
@media only screen and (max-width: 767px) {
    .navbar {
        .container {
            .navbar-toggler {
                padding: 7px 11px;
                font-size: 18px;
                line-height: 0.3;
                background: #e8ebf7;
            }
    
            .navbar-collapse {
                .ml-auto {
                    background: transparentize($color: #0106aa, $amount: .75%);
                }
            }
        }
    }

    .carousel-caption {
        bottom: 80%;

        h5 {
            font-size: 1.5rem !important;
        }

        a {
            font-size: .75rem !important;
        }
    }

    #header {
        .banner {
            position: relative !important;
            width: 100% !important;
            margin: 0 auto;
            height: 70vh !important;
            background-size: cover;

            .heading {
                color: #141763;
                position: absolute !important;
                top: 45% !important;
                width: 100%;
                text-align: center;
                font-size: 2em !important;
                font-family: 'Rubik', sans-serif;
                text-transform: uppercase;
                font-weight: 700;

                p {
                    font-family: 'Karla', sans-serif;
                    font-size: 0.5em !important;
                    color: #E8EBF7;
                    text-transform: none;
                }
            }
            
        }
        .banner img {
            width: 100% !important;
            height: 100%;
        }
    }
}